Skip to main content
`Ctrl`+`K`

# Quadrangle

class astropy.visualization.wcsaxes.Quadrangle(anchor, width, height, resolution=100, vertex_unit=Unit('deg'), **kwargs)

  Bases: `Polygon`

  Create a patch representing a latitude-longitude quadrangle.

  The edges of the quadrangle lie on two lines of constant longitude and two lines of constant latitude (or the equivalent component names in the coordinate frame of interest, such as right ascension and declination). Note that lines of constant latitude are not great circles.

  Unlike `matplotlib.patches.Rectangle`, the edges of this patch will render as curved lines if appropriate for the WCS transformation.

  Parameters:
    anchor `python:tuple` or `Quantity` [:ref: ‘angle’]

      This can be either a tuple of two `Quantity` objects, or a single `Quantity` array with two elements.

    width `Quantity` [:ref: ‘angle’]

      The width of the quadrangle in longitude (or, e.g., right ascension)

    height `Quantity` [:ref: ‘angle’]

      The height of the quadrangle in latitude (or, e.g., declination)

    resolution `python:int`, optional

      The number of points that make up each side of the quadrangle - increase this to get a smoother quadrangle.

    vertex_unit `Unit` [:ref: ‘angle’]

      The units in which the resulting polygon should be defined - this should match the unit that the transformation (e.g. the WCS transformation) expects as input.

  Notes

  Additional keyword arguments are passed to `Polygon`

  Parameters:
    xy(`N`, 2) `array`
    closed bool, default: `python:True`

      Whether the polygon is closed (i.e., has identical start and end points).

    **kwargs

      Properties: agg_filter: a filter function, which takes a (m, n, 3) float array and a dpi value, and returns a (m, n, 3) array and two offsets from the bottom left corner of the image alpha: unknown animated: bool antialiased or aa: bool or None capstyle: `matplotlib._enums.CapStyle` or {‘butt’, ‘projecting’, ‘round’} clip_box: `BboxBase` or None clip_on: bool clip_path: Patch or (Path, Transform) or None color: :mpltype:`color` edgecolor or ec: :mpltype:`color` or None facecolor or fc: :mpltype:`color` or None figure: `Figure` or `SubFigure` fill: bool gid: str hatch: {‘/’, ‘\’, ‘|’, ‘-’, ‘+’, ‘x’, ‘o’, ‘O’, ‘.’, ‘*’} hatch_linewidth: unknown in_layout: bool joinstyle: `matplotlib._enums.JoinStyle` or {‘miter’, ‘round’, ‘bevel’} label: object linestyle or ls: {‘-’, ‘–’, ‘-.’, ‘:’, ‘’, (offset, on-off-seq), …} linewidth or lw: float or None mouseover: bool path_effects: list of `AbstractPathEffect` picker: None or bool or float or callable rasterized: bool sketch_params: (scale: float, length: float, randomness: float) snap: bool or None transform: `Transform` url: str visible: bool zorder: float

  Methods Summary

  `set`(*[, agg_filter, alpha, animated, ...]) | Set multiple properties at once.

  Methods Documentation

  set(*, agg_filter=<UNSET>, alpha=<UNSET>, animated=<UNSET>, antialiased=<UNSET>, capstyle=<UNSET>, clip_box=<UNSET>, clip_on=<UNSET>, clip_path=<UNSET>, closed=<UNSET>, color=<UNSET>, edgecolor=<UNSET>, facecolor=<UNSET>, fill=<UNSET>, gid=<UNSET>, hatch=<UNSET>, hatch_linewidth=<UNSET>, in_layout=<UNSET>, joinstyle=<UNSET>, label=<UNSET>, linestyle=<UNSET>, linewidth=<UNSET>, mouseover=<UNSET>, path_effects=<UNSET>, picker=<UNSET>, rasterized=<UNSET>, sketch_params=<UNSET>, snap=<UNSET>, transform=<UNSET>, url=<UNSET>, visible=<UNSET>, xy=<UNSET>, zorder=<UNSET>)

    Set multiple properties at once.

    Supported properties are

    Properties:

      agg_filter: a filter function, which takes a (m, n, 3) float array and a dpi value, and returns a (m, n, 3) array and two offsets from the bottom left corner of the image alpha: float or None animated: bool antialiased or aa: bool or None capstyle: `matplotlib._enums.CapStyle` or {‘butt’, ‘projecting’, ‘round’} clip_box: `BboxBase` or None clip_on: bool clip_path: Patch or (Path, Transform) or None closed: bool color: :mpltype:`color` edgecolor or ec: :mpltype:`color` or None facecolor or fc: :mpltype:`color` or None figure: `Figure` or `SubFigure` fill: bool gid: str hatch: {‘/’, ‘\’, ‘|’, ‘-’, ‘+’, ‘x’, ‘o’, ‘O’, ‘.’, ‘*’} hatch_linewidth: unknown in_layout: bool joinstyle: `matplotlib._enums.JoinStyle` or {‘miter’, ‘round’, ‘bevel’} label: object linestyle or ls: {‘-’, ‘–’, ‘-.’, ‘:’, ‘’, (offset, on-off-seq), …} linewidth or lw: float or None mouseover: bool path_effects: list of `AbstractPathEffect` picker: None or bool or float or callable rasterized: bool sketch_params: (scale: float, length: float, randomness: float) snap: bool or None transform: `Transform` url: str visible: bool xy: (N, 2) array-like zorder: float